﻿<%@ page enableeventvalidation="false" language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Masters_TA_UI_Master_Approvalmatrix, App_Web_v0fbhquh" %>

<%--<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>--%>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ContentPlaceHolderID="BodyContentPH" ID="conEmployee" runat="server" onload="Pageload();">
    <!--[if gt IE 5.5]>
	<link rel="stylesheet" type="text/css" href="../css/anytimeIE.css" />
	<link rel="stylesheet" type="text/css" href="../css/ProgressforIE.css" />
 <![endif]-->

    <script>
        function DynamicDatePicker(Format, txtBoxId) {
            $("#" + txtBoxId).datetimepicker({ format: Format });
        }
        function DynamicDatePickerForTime(Format, txtBoxId) {
            $("#" + txtBoxId).datetimepicker({ format: Format });
        }
    </script>
    <script type="text/javascript">
        var xPos, yPos;
        var prm = Sys.WebForms.PageRequestManager.getInstance();

        function BeginRequestHandler(sender, args) {
            if ($get('dvScroll') != null) {
                xPos = $get('dvScroll').scrollLeft;
                yPos = $get('dvScroll').scrollTop;
            }
        }

        function EndRequestHandler(sender, args) {
            if ($get('dvScroll') != null) {
                $get('dvScroll').scrollLeft = xPos;
                $get('dvScroll').scrollTop = yPos;
            }
        }

        prm.add_beginRequest(BeginRequestHandler);
        prm.add_endRequest(EndRequestHandler);
    </script>
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/emp-master.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_HeaderEmployeeMaster" runat="server" Text="Approval Matrix"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="border-table new-space">
            <div class="row">
                <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                    <ContentTemplate>
                        <asp:HiddenField ID="hiddenTime" runat="server" Value="%I:%M:%S %p" />
                        <div class="col-md-12" id="dvScroll" style="overflow: auto; padding-bottom: 20px" onscroll="SetPosition();">
                            <asp:GridView ID="gvApprovalMatrix" runat="server" Width="96%" AutoGenerateColumns="false" HeaderStyle-Font-Size="14px" RowStyle-Font-Size="14px"
                                HeaderStyle-Height="50" FooterStyle-Height="50" CssClass="table das-table1"
                                ShowFooter="true" OnRowCommand="gvApprovalMatrix_RowCommand" OnRowDeleting="gvApprovalMatrix_RowDeleting"
                                OnRowDataBound="gvApprovalMatrix_RowDataBound" OnRowUpdating="gvApprovalMatrix_RowUpdating" DataKeyNames="MatrixId"
                                OnRowCancelingEdit="gvApprovalMatrix_RowCancelingEdit" OnRowEditing="gvApprovalMatrix_RowEditing">
                                <Columns>
                                    <asp:TemplateField Visible="false">
                                        <ItemTemplate>
                                            <asp:Label ID="lblMatrixId" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "MatrixId") %>'></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Action Item" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black" ItemStyle-Width="200px" HeaderStyle-Width="200px">
                                        <ItemTemplate>
                                            <asp:Label ID="lblActionItem" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "ActionItem") %>' Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label1" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "ActionItemValue") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddlActionItemEdit" AutoPostBack="true" Style="padding: 10px 25px;" Width="300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Discrepancy Entry Approval" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Overtime and Compoff Approval" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Leave Approval" Value="3"></asp:ListItem>
                                                <asp:ListItem Text="Discrepancy Entry Daily Notification" Value="4"></asp:ListItem>
                                                <asp:ListItem Text="Discrepancy Entry Weekly Notification" Value="5"></asp:ListItem>
                                                <asp:ListItem Text="Monthly Attendance Daily Notification" Value="6"></asp:ListItem>
                                                <asp:ListItem Text="Monthly Attendance Weekly Notification" Value="7"></asp:ListItem>
                                                <asp:ListItem Text="Overtime Daily Notification" Value="8"></asp:ListItem>
                                                <asp:ListItem Text="Overtime Weekly Notification" Value="9"></asp:ListItem>
                                                <asp:ListItem Text="Leave Approval Daily Notification" Value="10"></asp:ListItem>
                                                <asp:ListItem Text="Leave Approval Weekly Notification" Value="11"></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddlActionItem" AutoPostBack="true" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Discrepancy Entry Approval" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Overtime and Compoff Approval" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Leave Approval" Value="3"></asp:ListItem>
                                                <asp:ListItem Text="Discrepancy Entry Daily Notification" Value="4"></asp:ListItem>
                                                <asp:ListItem Text="Discrepancy Entry Weekly Notification" Value="5"></asp:ListItem>
                                                <asp:ListItem Text="Monthly Attendance Daily Notification" Value="6"></asp:ListItem>
                                                <asp:ListItem Text="Monthly Attendance Weekly Notification" Value="7"></asp:ListItem>
                                                <asp:ListItem Text="Overtime Daily Notification" Value="8"></asp:ListItem>
                                                <asp:ListItem Text="Overtime Weekly Notification" Value="9"></asp:ListItem>
                                                <asp:ListItem Text="Leave Approval Daily Notification" Value="10"></asp:ListItem>
                                                <asp:ListItem Text="Leave Approval Weekly Notification" Value="11"></asp:ListItem>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Employee Category" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblCategory" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "EmployeeCategory") %>' Width="300px" Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label2" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "EmployeeCategoryValue") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddlCategoryEdit" AutoPostBack="true" Width="300px" Style="padding: 10px 25px">
                                                <%--<asp:ListItem Text="All" Value="0"></asp:ListItem>--%>
                                                <%--<asp:ListItem Text="Management" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Non - Management" Value="2"></asp:ListItem>--%>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddlCategory" AutoPostBack="true" Width="300px" Style="padding: 10px 25px; width: 300px">
                                                <%--<asp:ListItem Text="All" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Management" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Non - Management" Value="2"></asp:ListItem>--%>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Business Group" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblBusinessGroup" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "level1") %>' Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label3" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "level1value") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddllevel1Edit" AutoPostBack="true" Width="300px"
                                                OnSelectedIndexChanged="ddllevel1Edit_SelectedIndexChanged" Style="padding: 10px 25px;">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddllevel1" AutoPostBack="true" Width="300px"
                                                OnSelectedIndexChanged="ddllevel1_SelectedIndexChanged" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Divison" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblDivision" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "level2") %>' Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label4" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "level2Value") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddllevel2Edit" AutoPostBack="true" Width="300px"
                                                OnSelectedIndexChanged="ddllevel2Edit_SelectedIndexChanged" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddllevel2" AutoPostBack="true" Width="300px"
                                                OnSelectedIndexChanged="ddllevel2_SelectedIndexChanged" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Company" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblCompany" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "level3") %>' Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label5" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "level3Value") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddllevel3Edit" AutoPostBack="true" Width="300px"
                                                OnSelectedIndexChanged="ddllevel3Edit_SelectedIndexChanged" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddllevel3" AutoPostBack="true" Width="300px"
                                                OnSelectedIndexChanged="ddllevel3_SelectedIndexChanged" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Department" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblDepartment" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "level4") %>' Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label6" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "level4Value") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddllevel4Edit" AutoPostBack="true" Width="300px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddllevel4" AutoPostBack="true" Width="300px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Approver1" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblApprover1" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Approver1") %>' Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label7" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Approver1Value") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddlApprover1Edit" AutoPostBack="true" Width="200px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Supervisor" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Department Head" Value="3"></asp:ListItem>
                                                <asp:ListItem Text="Company Head" Value="4"></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddlApprover1" AutoPostBack="true" Width="200px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Supervisor" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Department Head" Value="3"></asp:ListItem>
                                                <asp:ListItem Text="Company Head" Value="4"></asp:ListItem>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Approver2" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblApprover2" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Approver2") %>' Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label8" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Approver2Value") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddlApprover2Edit" AutoPostBack="true" Width="150px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Supervisor" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Department Head" Value="3"></asp:ListItem>
                                                <asp:ListItem Text="Company Head" Value="4"></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddlApprover2" AutoPostBack="true" Width="150px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Supervisor" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Department Head" Value="3"></asp:ListItem>
                                                <asp:ListItem Text="Company Head" Value="4"></asp:ListItem>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Approver3" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblApprover3" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Approver3") %>' Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label9" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Approver3Value") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddlApprover3Edit" AutoPostBack="true" Width="150px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Supervisor" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Department Head" Value="3"></asp:ListItem>
                                                <asp:ListItem Text="Company Head" Value="4"></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddlApprover3" AutoPostBack="true" Width="150px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Supervisor" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Department Head" Value="3"></asp:ListItem>
                                                <asp:ListItem Text="Company Head" Value="4"></asp:ListItem>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Approver4" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblApprover4" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Approver4") %>' Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label10" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Approver4Value") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddlApprover4Edit" AutoPostBack="true" Width="150px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Supervisor" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Department Head" Value="3"></asp:ListItem>
                                                <asp:ListItem Text="Company Head" Value="4"></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddlApprover4" AutoPostBack="true" Width="150px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Supervisor" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Department Head" Value="3"></asp:ListItem>
                                                <asp:ListItem Text="Company Head" Value="4"></asp:ListItem>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="FYI1" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblFYI1" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "FYI1") %>' Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label11" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "FYI1Value") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddlFYI1Edit" AutoPostBack="true" Width="150px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Payroll Team" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="HR Coordinator" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="3"></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddlFYI1" AutoPostBack="true" Width="150px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Payroll Team" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="HR Coordinator" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="3"></asp:ListItem>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="FYI2" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblFYI2" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "FYI2") %>' Style="padding: 0px 5px;"></asp:Label>
                                            <asp:Label Style="display: none" ID="Label12" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "FYI2Value") %>'></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:DropDownList runat="server" ID="ddlFYI2Edit" AutoPostBack="true" Width="150px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Payroll Team" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="HR Coordinator" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="3"></asp:ListItem>
                                            </asp:DropDownList>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:DropDownList runat="server" ID="ddlFYI2" AutoPostBack="true" Width="150px" Style="padding: 10px 25px; width: 300px">
                                                <asp:ListItem Text="-Select-" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Payroll Team" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="HR Coordinator" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Unit HR" Value="3"></asp:ListItem>
                                            </asp:DropDownList>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Reminder Days" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black">
                                        <ItemTemplate>
                                            <asp:Label ID="lblReminderDays" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "ReminderDays") %>' Style="padding: 0px 5px;"></asp:Label>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <asp:TextBox MaxLength="3" onCut="return false" onDrop="return false" onkeypress="return number_only(event,this)" ID="txtedit_ReminderDays" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "ReminderDays") %>' Width="150px" Style="padding: 10px 15px; width: 300px"></asp:TextBox>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            <asp:TextBox MaxLength="3" onCut="return false" onDrop="return false" onkeypress="return number_only(event,this)" ID="txtAdd_ReminderDays" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "ReminderDays") %>' Width="150px" Style="padding: 10px 15px; width: 300px"></asp:TextBox>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Action" HeaderStyle-BackColor="#d9f0fb" HeaderStyle-ForeColor="black" ItemStyle-Width="200px">
                                        <ItemTemplate>
                                            &nbsp;&nbsp;<asp:LinkButton ID="imgbtnEdit" runat="server" Font-Size="16px" CommandName="Edit" Text="Edit"></asp:LinkButton>
                                            &nbsp;&nbsp;<asp:Label ID="lblbackslash" runat="server" Text="/"></asp:Label>
                                            &nbsp;&nbsp;<asp:LinkButton ID="imgbtnDelete" runat="server" Font-Size="16px" CommandName="Delete" Text="Delete"></asp:LinkButton>
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            &nbsp;&nbsp;<asp:LinkButton ID="imgbtnUpdate" runat="server" Font-Size="16px" CommandName="Update" Text="&nbsp;&nbsp;Update"></asp:LinkButton>
                                            <asp:Label ID="lblbackslash1" runat="server" Text="/"></asp:Label>
                                            <asp:LinkButton ID="imgbtnCancel" runat="server" Font-Size="16px" CommandName="Cancel" Text="&nbsp;&nbsp;Cancel"></asp:LinkButton>
                                        </EditItemTemplate>
                                        <FooterTemplate>
                                            &nbsp;&nbsp;<asp:LinkButton ID="lbtnAdd" runat="server" Font-Size="16px" CommandName="ADD" Text="&nbsp;&nbsp;Add" Width="200px"></asp:LinkButton>
                                        </FooterTemplate>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                        </div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </div>
        </div>
    </div>
</asp:Content>
