<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Transactions_Transaction_PayrollProcessGrid, App_Web_3siecbin" %>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web"
    TagPrefix="dxe" %>
<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<asp:Content ID="con_Discrepancies" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1>
            <asp:Label ID="lbl_Header" runat="server" Text="Month Closure"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row form-group">
                    <div class="col-md-12">
                        <div class="table-responsive" style="padding-bottom: 10px">
                            <dxGridview:ASPxGridView ID="grv_Discrepancies" runat="server" ClientInstanceName="grv_Discrepancies"
                                KeyFieldName="Permission_Id" EnableCallBacks="false" AutoGenerateColumns="false"
                                Width="100%" DataSourceID="ObjectDataSource1" OnHtmlRowCreated="grv_Discrepancies_HtmlRowCreated">
                                <Columns>
                                    <dxGridview:GridViewDataTextColumn FieldName="Clk_Id" VisibleIndex="0" Visible="false">
                                        <DataItemTemplate>
                                            <asp:Label ID="Label1" runat="server" Text='<%# Bind("Clk_Id") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Employee ID" FieldName="Clk_EmpId" VisibleIndex="1">
                                        <DataItemTemplate>
                                            <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="" Text='<%# Eval("Clk_EmpId") %>' ForeColor="#5D5D5D"></asp:HyperLink>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="Clk_InDeviceId" VisibleIndex="2">
                                        <DataItemTemplate>
                                            <asp:Label ID="Label2" runat="server" Text='<%# Bind("Clk_InDeviceId") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="Clk_InDate1" VisibleIndex="3">
                                        <DataItemTemplate>
                                            <asp:Label ID="Label3" runat="server" Text='<%# Bind("clk_InDate1") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AllowAutoFilter="false" />
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="Clk_InTime1" VisibleIndex="4">
                                        <DataItemTemplate>
                                            <asp:Label ID="Label4" runat="server" Text='<%# Bind("Clk_InTime1") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AllowAutoFilter="false" />
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="Clk_OutDeviceId" VisibleIndex="5">
                                        <DataItemTemplate>
                                            <asp:Label ID="Label5" runat="server" Text='<%# Bind("Clk_OutDeviceId") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="Clk_OutDate1" VisibleIndex="6">
                                        <DataItemTemplate>
                                            <asp:Label ID="Label6" runat="server" Text='<%# Bind("clk_outDate1") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AllowAutoFilter="false" />
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn FieldName="Clk_OutTime1" VisibleIndex="7">
                                        <DataItemTemplate>
                                            <asp:Label ID="Label7" runat="server" Text='<%# Bind("Clk_OutTime1") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AllowAutoFilter="false" />
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataColumn FieldName="Clk_Date1" VisibleIndex="8">
                                        <DataItemTemplate>
                                            <asp:Label ID="Label8" runat="server" Text='<%# Bind("clk_Date1") %>'></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AllowAutoFilter="false" />
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataColumn>
                                </Columns>
                                <Settings ShowGroupFooter="VisibleAlways" />
                                <Settings ShowFilterRow="true" />
                                <SettingsText EmptyDataRow="No Records Found" />
                                <SettingsPager PageSize="10">
                                    <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="10,20,50" />
                                </SettingsPager>
                                <Settings ShowFilterRow="true" ShowFilterRowMenu="true" ShowStatusBar="Auto" VerticalScrollableHeight="320" />

                                <SettingsBehavior SortMode="Value" AllowSort="true" AllowDragDrop="true" />
                                <Styles AlternatingRow-CssClass="table-bg">
                                </Styles>
                            </dxGridview:ASPxGridView>
                        </div>
                    </div>
                    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="GetDiscrepanciesForPayroll"
                        TypeName="MonthClosureEventData">
                        <SelectParameters>
                            <asp:QueryStringParameter Name="StartDate" QueryStringField="StartDate" Type="String" />
                            <asp:QueryStringParameter Name="EndDate" QueryStringField="EndDate" Type="String" />
                            <asp:QueryStringParameter Name="OrgLevelId" QueryStringField="LevelID" Type="String" />
                            <asp:SessionParameter Name="UserGroupName" SessionField="UserGroupName" Type="String" />
                            <%--<asp:SessionParameter Name="ParentId" SessionField="parentLevelId" Type="Int16" />--%>
                            <asp:QueryStringParameter Name="ParentId" QueryStringField="LevelID" Type="Int32" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btnBack" runat="server" OnClick="btnBack_Click" CssClass="btn save-btn fa-angle-left" EnableTheming="False" />
                            <asp:LinkButton ID="btn_IndividualReprocess" runat="server" Text="CONTINUE PROCESS" CssClass="btn save-btn"
                                OnClick="btn_IndividualReprocess_Click" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
